summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2014-09-16 23:05:32 +0400
committerGluzskiy Alexandr <sss123next@list.ru>2014-09-16 23:05:32 +0400
commit34daa0a405694d31d1c73008cd03611f39669146 (patch)
tree2b888b9a6beeb6d64e014adc2a42d106cf079763 /dev-db
parentd9130a3aa7f0170ae01553a9ae73a0490c01e0db (diff)
modified: dev-db/redis/redis-scm.ebuild
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/redis/redis-scm.ebuild25
1 files changed, 13 insertions, 12 deletions
diff --git a/dev-db/redis/redis-scm.ebuild b/dev-db/redis/redis-scm.ebuild
index 555ce8b..1b14d2b 100644
--- a/dev-db/redis/redis-scm.ebuild
+++ b/dev-db/redis/redis-scm.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/redis/redis-2.8.11.ebuild,v 1.2 2014/07/03 15:56:52 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/redis/redis-2.8.13.ebuild,v 1.1 2014/08/07 08:26:48 ultrabug Exp $
EAPI=5
inherit autotools eutils flag-o-matic systemd toolchain-funcs user git-2
-DESCRIPTION="A persistent caching system, key-value and data structures database."
+DESCRIPTION="A persistent caching system, key-value and data structures database"
HOMEPAGE="http://redis.io/"
EGIT_REPO_URI="https://github.com/antirez/redis.git"
EGIT_BRANCH="3.0"
@@ -16,13 +16,14 @@ KEYWORDS="~amd64 ~hppa ~x86 ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE="+jemalloc tcmalloc test"
SLOT="0"
-RDEPEND="tcmalloc? ( dev-util/google-perftools )
+RDEPEND=">=dev-lang/lua-5.1
+ tcmalloc? ( dev-util/google-perftools )
jemalloc? ( >=dev-libs/jemalloc-3.2 )"
-DEPEND=">=sys-devel/autoconf-2.63
+DEPEND="virtual/pkgconfig
+ >=sys-devel/autoconf-2.63
test? ( dev-lang/tcl )
${RDEPEND}"
-REQUIRED_USE="tcmalloc? ( !jemalloc )
- jemalloc? ( !tcmalloc )"
+REQUIRED_USE="?? ( tcmalloc jemalloc )"
S="${WORKDIR}/${PN}-${PV/_/-}"
@@ -33,9 +34,9 @@ pkg_setup() {
src_prepare() {
epatch "${FILESDIR}"/${PN}-2.8.3-{shared,config}.patch
-
- # bug 467172, 467174
- sed -i -e 's:AR=:AR?=:g' -e 's:RANLIB=:RANLIB?=:g' "${S}/deps/lua/src/Makefile" || die
+ epatch "${FILESDIR}"/${PN}-2.8.13-sharedlua.patch
+ # Copy lua modules into build dir
+ cp "${S}"/deps/lua/src/{lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c "${S}"/src || die
# now we will rewrite present Makefiles
local makefiles=""
@@ -72,11 +73,11 @@ src_compile() {
local myconf=""
if use tcmalloc ; then
- myconf="${myconf} USE_TCMALLOC=yes"
+ myconf="${myconf} MALLOC=tcmalloc USE_TCMALLOC=yes"
elif use jemalloc ; then
- myconf="${myconf} JEMALLOC_SHARED=yes"
+ myconf="${myconf} MALLOC=jemalloc JEMALLOC_SHARED=yes"
else
- myconf="${myconf} MALLOC=yes"
+ myconf="${myconf} MALLOC=libc"
fi
emake ${myconf} V=1 CC="${CC}" AR="${AR} rcu" RANLIB="${RANLIB}"